// PiTrex Discrete Read/Write Test Software.
// -Reads/Writes 6522 Registers via Raspberry Pi GPIO.
// Kevin Koster, 2019.

#define VECTREX_HALT_NOT_ASSERTED	-1

// PiTrex Discrete Read & Write Functions, via Raspberry Pi GPIO.

// Initialise GPIO for communication with the Vectrex
int vectrexinit ();

//Read a byte from the Vectrex at the specified address
unsigned char vectrexread (unsigned char address);

// Write a byte to the Vectrex at the specified address
void vectrexwrite (unsigned int address, unsigned char data);

// Wait until interrupt from Vectrex
void vectrexinterrupt (char interrupt);

// End communication with the Vectrex and end claim on Parallel Port
int vectrexclose ();
